## nspr-mingw-w64 4.13.1

=== debian/changelog ===
nspr-mingw-w64 (2:4.13.1-0ubuntu0.14.04.1mingw3) trusty; urgency=low

  * Drop static libraries.
  * Strip libraries.

 -- Javier Serrano Polo <javier@jasp.net>  Sun, 07 Jan 2018 20:43:34 +0100

nspr-mingw-w64 (2:4.13.1-0ubuntu0.14.04.1mingw2) trusty; urgency=low

  * Allow API stubs.

 -- Javier Serrano Polo <javier@jasp.net>  Sat, 06 Jan 2018 14:48:22 +0100

nspr-mingw-w64 (2:4.13.1-0ubuntu0.14.04.1mingw1) trusty; urgency=low

  * Build for MinGW-w64.

 -- Javier Serrano Polo <javier@jasp.net>  Wed, 27 Dec 2017 00:36:39 +0000

nspr (2:4.13.1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Update to 4.13.1 to support nss security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Apr 2017 08:14:23 -0400

nspr (2:4.12-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: memory allocation bug related to the PR_*printf
    functions
    - Updated to upstream 4.12
    - CVE-2016-1951
  * debian/libnspr4.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Jul 2016 08:01:48 -0400

nspr (2:4.10.10-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: overflow in PL_ARENA_ALLOCATE
    - Updated to upstream 4.10.10
    - CVE-2015-7183
  * debian/libnspr4.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Nov 2015 10:15:03 -0600

nspr (2:4.10.7-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Update to 4.10.7 to support nss security update.
  * Removed unneeded patches:
    - debian/patches/arm64support: not applied.
    - debian/patches/cross: not applied.
    - debian/patches/ppc64le-support: included upstream.
    - debian/patches/x32_support: included upstream.
    - debian/patches/CVE-2014-1545.patch: included upstream.
  * debian/libnspr4.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 19 Sep 2014 07:52:18 -0400

nspr (2:4.10.2-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service or arbitrary code execution via
    sprintf
    - debian/patches/CVE-2014-1545.patch: use snprintf and check values
      without using PR_ASSERT in nspr/pr/src/io/prprf.c, added tests to
      nspr/pr/tests/Makefile.in, nspr/pr/tests/prfdbl.c.
    - CVE-2014-1545

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 27 Jun 2014 10:38:09 -0400

nspr (2:4.10.2-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - rules: Enable Thumb2 build on armel, armhf.
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - control: Add conflicts to evolution-documentation-*,
      language-support-translation-*.
    - control: Add Breaks: evolution-plugins.
    - Add support for ppc64el (Ulrich Weigand).
  * Add support for compiling with -mx32 instead of -m64 or -m32.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 20:51:42 +0100

nspr (2:4.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sat, 16 Nov 2013 08:11:38 +0900

nspr (2:4.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Mon, 21 Oct 2013 08:19:05 +0900

nspr (2:4.10-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Adjusted to new source layout.

 -- Mike Hommey <glandium@debian.org>  Sat, 15 Jun 2013 18:37:30 +0900

nspr (2:4.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/libnspr4.symbols: Updated.

 -- Mike Hommey <glandium@debian.org>  Thu, 04 Apr 2013 23:43:12 +0200

nspr (2:4.9.5-1ubuntu2) trusty; urgency=low

  * Add support for ppc64el (Ulrich Weigand).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Dec 2013 01:43:51 +0000

nspr (2:4.9.5-1ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rules: Enable Thumb2 build on armel, armhf.
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - control: Add conflicts to evolution-documentation-*,
      language-support-translation-*.
    - control: Add Breaks: evolution-plugins.
    - debian/patches/cross: Fix crossbuilding. Patch taken from chromiumos
      overlay. Refreshed
    - debian/patches/arm64support: Add arm64/aarch64 support

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Mar 2013 09:38:00 -0500

nspr (2:4.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 Feb 2013 09:11:59 +0100

nspr (2:4.9.4-2ubuntu4) raring; urgency=low

  * Add arm64/aarch64 support

 -- Wookey <wookey@wookware.org>  Fri, 22 Feb 2013 11:50:14 +0000

nspr (2:4.9.4-2ubuntu3) raring; urgency=low

  * Always pass full build/host args, as the build system gets confused.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 22 Feb 2013 01:38:58 +0000

nspr (2:4.9.4-2ubuntu2) raring; urgency=low

  * Fix crossbuilding. Patch taken from chromiumos overlay.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 21 Feb 2013 20:05:57 +0000

nspr (2:4.9.4-2ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rules: Enable Thumb2 build on armel, armhf.
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - control: Add conflicts to evolution-documentation-*,
      language-support-translation-*.
    - control: Add Breaks: evolution-plugins.

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 14 Jan 2013 15:26:59 -0600

nspr (2:4.9.4-2) unstable; urgency=low

  * pr/src/Makefile.in: Use -lrt appropriately (or not) on Android, GNU/Hurd
    and GNU/kFreeBSD. bz#824742.

 -- Mike Hommey <glandium@debian.org>  Sat, 29 Dec 2012 09:50:20 +0100

nspr (2:4.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sun, 23 Dec 2012 17:36:15 +0100

nspr (2:4.9.3-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rules: Enable Thumb2 build on armel, armhf.
    - control: Change Vcs-* to XS-Debian-Vcs-*.

