=== debian/control ===
Source: nspr-mingw-w64
Section: devel
Priority: optional
Maintainer: Javier Serrano Polo <javier@jasp.net>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8.1.3), autotools-dev, dpkg-dev (>= 1.15.4), gcc-mingw-w64-x86-64
Standards-Version: 3.9.3.0
Homepage: http://www.mozilla.org/projects/nspr/
XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nspr.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nspr.git

Package: nspr-mingw-w64-x86-64
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libnspr4-0d (<< 2:4.9-2~),
	evolution-documentation-en,
	evolution-documentation-cs,
	evolution-documentation-de,
	evolution-documentation-el,
	evolution-documentation-es,
	evolution-documentation-fr,
	evolution-documentation-mk,
	evolution-documentation-oc,
	evolution-documentation-ru,
	evolution-documentation-sv,
	language-support-translations-en,
	language-support-translations-cs,
	language-support-translations-de,
	language-support-translations-el,
	language-support-translations-es,
	language-support-translations-fr,
	language-support-translations-mk,
	language-support-translations-oc,
	language-support-translations-ru,
	language-support-translations-sv
Breaks: evolution-plugins (<< 3.2.0-0ubuntu2)
Description: NetScape Portable Runtime Library targeting Win64
 This library provides platform independent non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calendar time,
  * basic memory management (malloc and free),
  * shared library linking.
